#!/usr/bin/python

class Object(object):
	def __init__(self, backend, *args, **kwargs):
		self.backend = backend

		self.init(*args, **kwargs)

	def init(self, *args, **kwargs):
		"""
			Function for custom initialization.
		"""
		pass

	@property
	def db(self):
		return self.backend.db

	@property
	def accounts(self):
		return self.backend.accounts

	@property
	def downloads(self):
		return self.backend.downloads

	@property
	def fireinfo(self):
		return self.backend.fireinfo

	@property
	def geoip(self):
		return self.backend.geoip

	@property
	def iuse(self):
		return self.backend.iuse

	@property
	def memcache(self):
		return self.backend.memcache

	@property
	def planet(self):
		return self.backend.planet

	@property
	def settings(self):
		return self.backend.settings
