
#!/usr/bin/python

import logging
import tornado.web

from . import base

class IndexHandler(base.BaseHandler):
	def get(self):
		self.render("location/index.html")


class LookupHandler(base.BaseHandler):
	async def get(self, address):
		peer = self.geoip.get_all(address)
		if peer:
			peer["country_name"] = self.geoip.get_country_name(peer.country)

		# Lookup address
		address = self.geoip.lookup(address)

		# Lookup blacklists
		is_blacklisted = await address.is_blacklisted()

		self.render("location/lookup.html",
			address=address, is_blacklisted=is_blacklisted, peer=peer)


class BlacklistsHandler(base.BaseHandler):
	async def get(self, address):
		peer = self.geoip.get_all(address)

		# Lookup address
		address = self.geoip.lookup(address)

		# Lookup blacklists
		blacklists = await address.get_blacklists()

		self.render("location/blacklists.html",
			address=address, blacklists=blacklists)
