#!/usr/bin/python

import tornado.web

from . import base

class IndexHandler(base.BaseHandler):
	def get(self):
		self.render("mirrors/index.html", mirrors=self.backend.mirrors)


class MirrorHandler(base.BaseHandler):
	def get(self, hostname):
		mirror = self.mirrors.get_by_hostname(hostname)
		if not mirror:
			raise tornado.web.HTTPError(404, "Could not find %s" % hostname)

		self.render("mirrors/mirror.html", mirror=mirror)
